Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000012Bananian Linux[All Projects] Generalpublic2014-09-02 11:152016-04-02 10:29
ReporterNico 
Assigned ToNico 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target Version16.04Fixed in Version16.04 
Summary0000012: Kernel Update Script and other stuff as an apt repository
DescriptionSee topic, would it be possible to add that stuff to a repository?
Reason why I'm asking this is because I currently have a working banana pi "cluster" up and running which is based on a vanilla debian testing/unstable and is managed via puppet.

I have no intention to ever flash a whole system to the pi, where someone else made some "undocumented" configs or changes.

But an apt overlay providing bpi specific libraries / kernel would be cool.

This would also benefit everyone who rather likes to have ubuntu as a base, but automatic kernel updates and hw libs.

http://forum.lemaker.org/3372-1-1-kernel_update_script_and_other_stuff_as_an_apt_repository_.html [^]
TagsNo tags attached.
Attached Files

- Relationships
related to 0000118resolvedNico package swconfig as a .deb file 
related to 0000103resolvedNico Missing headers for 3.4.x kernel 
related to 0000114resolvedNico add the Bananian repository to sources.list 
related to 0000124resolvedNico package bananian-update as a .deb file 
related to 0000199resolvedNico Introduce "bananian-settings" to replace all entries in /etc/rc.local 

-  Notes
(0000053)
Nit (reporter)
2014-10-12 01:20
edited on: 2014-10-13 13:58

In fact, it would be very nice to have deb package for kernel install/update and have the update script in a dpkg pre install or post install script.
Il would also be very nice to have kernel headers in that repository to allow automatic recompilation of custom kernel modules using dkms.

Note that I did not achieve to completly build a working package for the current bananian kernel headers : the scripts (/usr/src/linux-headers-3.4.90+/scripts) are not compile to arm but x86-64 but the rest is fine. I think it is related to that bug https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=563376 [^]

(0000169)
Nico (manager)
2015-03-09 11:57
edited on: 2015-03-09 13:37

The repository is now set up.
For details check: http://dl.bananian.org/packages/ [^]

(0000172)
Nico (manager)
2015-03-09 19:14

We will now start moving everything to the repository starting with OMD (https://www.bananian.org/omd [^]) und Linux kernel headers.
(0000175)
stelmik (reporter)
2015-03-09 23:52
edited on: 2015-03-09 23:52

When I try to compile my module I get error:
     In file included from /usr/src/linux-headers-3.4.104+/arch/arm/include/asm/domain.h:14:0,
                     from /usr/src/linux-headers-3.4.104+/arch/arm/include/asm/thread_info.h:28,
                     from include/linux/thread_info.h:53,
                     from include/linux/preempt.h:9,
                     from include/linux/spinlock.h:50,
                     from include/linux/seqlock.h:29,
                     from include/linux/time.h:8,
                     from include/linux/stat.h:60,
                     from include/linux/module.h:10,
                     ........:
    /usr/src/linux-headers-3.4.104+/arch/arm/include/asm/barrier.h:41:27: fatal error: mach/barriers.h: No such file or directory
    compilation terminated.

(0000176)
Nico (manager)
2015-03-10 06:33

Which kernel version are you using? Try this one:
https://dl.bananian.org/kernel-snapshots/linux-bananapi-ffbf0bdf5a07d720e9b9e3136eb4db9ba9f16271.zip [^]

The Bananian 15.01 kernel is not compatible to the actual kernel headers deb!
(0000180)
stelmik (reporter)
2015-03-10 23:46

OK. I used your kernel snapshot (3.4.104+ #4 SMP PREEMPT Thu Mar 5 11:25:28 CET 2015 armv7l GNU/Linux) on Banana Pro and I got the same error.
(0000181)
Nico (manager)
2015-03-11 14:33
edited on: 2015-03-11 14:49

We updated our kernel headers package.
Can you please update using our testing repository or by direct download: http://dl.bananian.org/packages/pool/main/l/linux-upstream/linux-headers-3.4.104+_1.2_armhf.deb [^]

Is the error fixed?

edit: updated the package again

(0000182)
stelmik (reporter)
2015-03-11 15:03

I used package from direct link. I removed old and installed your 1.2_armhf (before I have 1.0_armhf).

Now I get simplier error:

scripts/basic/fixdep: 1: scripts/basic/fixdep: Syntax error: end of file unexpected (expecting ")")
(0000183)
Nico (manager)
2015-03-11 15:51

Please navigate to /usr/src/linux-headers-3.4.104+ and run "make scripts" (build-essential needs to be installed)

Is it working now?
(0000184)
stelmik (reporter)
2015-03-11 16:13

Solved. It's working. Thanks!
(0000206)
Nico (manager)
2015-04-08 06:44

for kernel, headers and firmware see 0000103
Fixed in Bananian 15.04. All other binaries, libraries, .. will be packaged in the next release

- Issue History
Date Modified Username Field Change
2014-09-02 11:15 Nico New Issue
2014-09-02 14:09 administrator Assigned To => Nico
2014-09-02 14:09 administrator Status new => assigned
2014-10-12 01:20 Nit Note Added: 0000053
2014-10-13 13:58 Nit Note Edited: 0000053 View Revisions
2015-03-09 11:57 Nico Note Added: 0000169
2015-03-09 13:36 Nico Note Edited: 0000169 View Revisions
2015-03-09 13:37 Nico Note Edited: 0000169 View Revisions
2015-03-09 18:50 Nico Relationship added related to 0000114
2015-03-09 19:14 Nico Note Added: 0000172
2015-03-09 23:52 stelmik Note Added: 0000175
2015-03-09 23:52 stelmik Note Edited: 0000175 View Revisions
2015-03-10 06:33 Nico Note Added: 0000176
2015-03-10 23:46 stelmik Note Added: 0000180
2015-03-11 14:33 Nico Note Added: 0000181
2015-03-11 14:49 Nico Note Edited: 0000181 View Revisions
2015-03-11 14:50 Nico Note Revision Dropped: 181: 0000082
2015-03-11 15:03 stelmik Note Added: 0000182
2015-03-11 15:51 Nico Note Added: 0000183
2015-03-11 16:13 stelmik Note Added: 0000184
2015-04-04 14:40 Nico Target Version later => 16.04
2015-04-04 14:40 Nico Relationship added related to 0000118
2015-04-08 06:43 Nico Relationship added related to 0000103
2015-04-08 06:44 Nico Note Added: 0000206
2015-04-10 14:16 Nico Relationship added related to 0000124
2016-03-25 12:40 Nico Relationship added related to 0000199
2016-04-02 10:29 Nico Status assigned => resolved
2016-04-02 10:29 Nico Fixed in Version => 16.04
2016-04-02 10:29 Nico Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker